Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.aggregator
Class NewsFeedEntry

    java.lang.Object
      net.sourceforge.pebble.aggregator.NewsFeedEntry

    public class NewsFeedEntry

extends java.lang.Object

Author:
  Simon Brown

Constructor Summary
`NewsFeedEntry(java.lang.String link, java.lang.String title, java.lang.String body, java.lang.String author, java.util.Date date)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getAuthor()`
`java.lang.String` | `getBody()`
`java.util.Date` | `getDate()`
`NewsFeed` | `getFeed()`
`java.lang.String` | `getLink()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getTruncatedBody()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NewsFeedEntry

    public NewsFeedEntry(java.lang.String link,
                         java.lang.String title,
                         java.lang.String body,
                         java.lang.String author,
                         java.util.Date date)

Method Detail

### getFeed

    public NewsFeed getFeed()

### getLink

    public java.lang.String getLink()

### getTitle

    public java.lang.String getTitle()

### getBody

    public java.lang.String getBody()

### getTruncatedBody

    public java.lang.String getTruncatedBody()

### getAuthor

    public java.lang.String getAuthor()

### getDate

    public java.util.Date getDate()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.